# Interface methods for submodule: ComposeImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: ComposeImageFilter
class ComposeImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetInput1(self, image1) -> None:
		""""""
		...

	def SetInput2(self, image2) -> None:
		""""""
		...

	def SetInput3(self, image3) -> None:
		""""""
		...

